> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/reference/default-api-rate-limits.md).

# Default API rate limits

Akamas services are configured out-of-the-box to use API rate limiting on number of calls (per second and per minute) and on maximum size of payload. Most services use the following values (otherwise referred as `standard` values):

```
max API calls per second: 100
max API calls per minute: 200
max payload size: 2Mb
```

Services that do not use the standard values above are listed below, along with their specific values. This means that if one config value is not present in the list below (e.g.: `max payload size`), the value listed above (e.g.: `2Mb`) is used by that specific service.

```
ANALYZER
# standard values

CAMPAIGN
max API calls per second: 150
max API calls per minute: 700

KEYCLOAK
max API calls per minute: 400
max payload size: 5Mb

LICENSE
# standard values

LOG
# standard values

METRICS
max API calls per minute: 300
max payload size: 5Mb

OPTIMIZER
# standard values

ORCHESTRATOR
# standard values

STORE
max payload size: 5Mb

SYSTEM
# standard values

TELEMETRY
max payload size: 5Mb

USER
# standard values

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/reference/default-api-rate-limits.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
